NETIF_RX(9)

NAME
netif_rx - post buffer to the network code

SYNOPSIS

int netif_rx (struct sk_buff * skb);

ARGUMENTS

skb buffer to post

DESCRIPTION

This function receives a packet from a device driver and queues it for the upper (protocol) levels to process. It always succeeds. The buffer may be dropped during processing for congestion control or by the protocol layers.

RETURN VALUES

NET_RX_SUCCESS (no congestion) NET_RX_CN_LOW (low congestion) NET_RX_CN_MOD (moderate congestion) NET_RX_CN_HIGH (high congestion) NET_RX_DROP (packet was dropped)